Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad.render
Class TextContentProvider

    java.lang.Object
      com.bea.p13n.ad.render.TextContentProvider

All Implemented Interfaces
  AdContentProvider, AdRenderableContentProvider

    public class TextContentProvider

extends Object
implements AdRenderableContentProvider

A class that provides XHTML rendering for HTML content.

This just returns the body of the content in the default encoding.

Field Summary

Fields inherited from interface com.bea.p13n.ad.AdRenderableContentProvider
`VERSION_ID`

Fields inherited from interface com.bea.p13n.ad.AdContentProvider
`NEW_WINDOW, NEW_WINDOW_TYPE, PREVIEW`

Constructor Summary
`TextContentProvider()`

Method Summary
`byte[]` | `getBytes(Node c, Property p, BinaryValue bv)`
`byte[]` | `getBytes(RenderableContent c, Property p, BinaryValue bv)`
`String` | `renderContent(Node c, long identifier, String servletBase, int height, int width, int options)` Deprecated
`String` | `renderContent(RenderableContent content, long identifier, String servletBase, int height, int width, int options)` Return the XHTML content for the specified content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextContentProvider

    public TextContentProvider()

Method Detail

### renderContent

    public String renderContent(Node c,
                                long identifier,
                                String servletBase,
                                int height,
                                int width,
                                int options)
                         throws AdContentException

  Deprecated

  Return the XHTML content for the specified content.

  Specified by:
    `renderContent` in interface `AdContentProvider`
  Parameters
    `c` - The content element to render
    `identifier` - A long that is used to access the database record
    `servletBase` - The Web App root for the click thru servlet
    `height` - The suggested height
    `width` - The suggested width
    `options` - The options for the rendering
  Throws
    `AdContentException`

### renderContent

    public String renderContent(RenderableContent content,
                                long identifier,
                                String servletBase,
                                int height,
                                int width,
                                int options)
                         throws AdContentException

  Return the XHTML content for the specified content.

  Specified by:
    `renderContent` in interface `AdRenderableContentProvider`
  Parameters
    `c` - The content element to render
    `identifier` - A long that is used to access the database record
    `servletBase` - The Web App root for the click thru servlet
    `height` - The suggested height
    `width` - The suggested width
    `options` - The options for the rendering
  Throws
    `AdContentException`

### getBytes

    public byte[] getBytes(Node c,
                           Property p,
                           BinaryValue bv)
                    throws RepositoryException

  Throws
    `RepositoryException`

### getBytes

    public byte[] getBytes(RenderableContent c,
                           Property p,
                           BinaryValue bv)
                    throws RepositoryException

  Throws
    `RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved